package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.bo.model.Setgid;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class GitfeeStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private String umbflg;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
    }
}
